<template>
  <v-card
    class="mx-auto"
    max-width="344"
    justify="center" align="center"
  >

    <div class="login">
      <div>
        <h1>Login</h1>
        <v-text-field
          label="Gebruikersnaam"
          :rules="rules"
          hide-details="auto"
          v-model="username"
        ></v-text-field>
        <v-text-field type="password" :rules="rules" label="Wachtwoord" v-model="password"></v-text-field>
        <p>{{ error }}</p>
        <v-btn depressed @click="login">
          Login
        </v-btn>
        <v-btn depressed
        href="/register">
          Registreer
        </v-btn>
      </div>
    </div>
  </v-card>
</template>

<script>
import {login, logout} from '~/clients/authClient';
import {auth} from '~/firebase';

export default {
  name: 'login',
  data: () => ({
    rules: [
      value => !!value || 'Required.',
      value => (value && value.length >= 3) || 'Min 3 characters',
    ],
    username: '',
    password: '',
    error: '',
    succes: false
  }),
  methods: {
    async login() {
      await login(this.username, this.password).then(
        this.$router.push("/")
      ).catch(
        this.error = "er ging iets mis."
      )
      this.checklogin(auth.currentUser)
    },
    checklogin(user) {
      if (user) {
        this.$router.push("/")
      }
    },

  },
  head() {
    return {
      title: "Login",
      meta: [
        { hid: 'description', name: 'description', content: 'Log je nu in voor TopicShop!' },
        { hid: 'keywords', name: 'keywords', content: '3D, 3D printer, webshop, 3D component, PLA-filament, kopen, verkopen, login, TopicShop'},
      ]
    }
  }

};
</script>

<style scoped>
.login div{
  padding: 1rem;
}
</style>
